# FoundationClasses
TKernel
TColStd

# TColStd_HSetOfTransient Class Reference

`#include <TColStd_HSetOfTransient.hxx>`

Inheritance diagram for TColStd_HSetOfTransient:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HSetOfTransient ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_Boolean | Add (const Handle(Standard_Transient)&T)
Standard_Boolean | Remove (const Handle(Standard_Transient)&T)
Standard_EXPORT Handle_TColStd_HSetOfTransient | Union (const Handle(TColStd_HSetOfTransient)&B) const
Standard_EXPORT Handle_TColStd_HSetOfTransient | Intersection (const Handle(TColStd_HSetOfTransient)&B) const
Standard_EXPORT Handle_TColStd_HSetOfTransient | Difference (const Handle(TColStd_HSetOfTransient)&B) const
Standard_Boolean | Contains (const Handle(Standard_Transient)&T) const
Standard_Boolean | IsASubset (const Handle(TColStd_HSetOfTransient)&S) const
Standard_Boolean | IsAProperSubset (const Handle(TColStd_HSetOfTransient)&S) const
Standard_EXPORT Handle_TColStd_HSetOfTransient | ShallowCopy () const
const TColStd_SetOfTransient & | Set () const
TColStd_SetOfTransient & | ChangeSet ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SetOfTransient | mySet

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HSetOfTransient::TColStd_HSetOfTransient | ( |  | ) |

## Member Function Documentation

Standard_Boolean TColStd_HSetOfTransient::Add | ( | const Handle(Standard_Transient)& | T | ) |

TColStd_SetOfTransient& TColStd_HSetOfTransient::ChangeSet | ( |  | ) |

void TColStd_HSetOfTransient::Clear | ( |  | ) |

Standard_Boolean TColStd_HSetOfTransient::Contains | ( | const Handle(Standard_Transient)& | T | ) | const

Standard_EXPORT Handle_TColStd_HSetOfTransient TColStd_HSetOfTransient::Difference | ( | const Handle(TColStd_HSetOfTransient)& | B | ) | const

Standard_Integer TColStd_HSetOfTransient::Extent | ( |  | ) | const

Standard_EXPORT const TColStd_HSetOfTransient::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_TColStd_HSetOfTransient TColStd_HSetOfTransient::Intersection | ( | const Handle(TColStd_HSetOfTransient)& | B | ) | const

Standard_Boolean TColStd_HSetOfTransient::IsAProperSubset | ( | const Handle(TColStd_HSetOfTransient)& | S | ) | const

Standard_Boolean TColStd_HSetOfTransient::IsASubset | ( | const Handle(TColStd_HSetOfTransient)& | S | ) | const

Standard_Boolean TColStd_HSetOfTransient::IsEmpty | ( |  | ) | const

Standard_Boolean TColStd_HSetOfTransient::Remove | ( | const Handle(Standard_Transient)& | T | ) |

const TColStd_SetOfTransient& TColStd_HSetOfTransient::Set | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSetOfTransient TColStd_HSetOfTransient::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSetOfTransient TColStd_HSetOfTransient::Union | ( | const Handle(TColStd_HSetOfTransient)& | B | ) | const

## Field Documentation

TColStd_SetOfTransient TColStd_HSetOfTransient::mySet `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSetOfTransient.hxx